AbstractParserEventStream (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.parser, class: AbstractParserEventStream

Package opennlp.tools.parser

# Class AbstractParserEventStream

java.lang.Object
opennlp.tools.util.AbstractEventStream<opennlp.tools.parser.Parse>
opennlp.tools.parser.AbstractParserEventStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`

Direct Known Subclasses:
  `ParserEventStream`, `ParserEventStream`

public abstract class AbstractParserEventStream extends AbstractEventStream<opennlp.tools.parser.Parse>
Abstract class extended by parser event streams which perform tagging and chunking.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParserEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.parser.Parse> d, opennlp.tools.parser.HeadRules rules, opennlp.tools.parser.ParserEventTypeEnum etype)`
  `AbstractParserEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.parser.Parse> d, opennlp.tools.parser.HeadRules rules, opennlp.tools.parser.ParserEventTypeEnum etype, Dictionary dict)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static opennlp.tools.parser.Parse[]`
  `getInitialChunks(opennlp.tools.parser.Parse p)`

  ### Methods inherited from class opennlp.tools.util.AbstractEventStream

  `close, read, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractParserEventStream

    public AbstractParserEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.parser.Parse> d, opennlp.tools.parser.HeadRules rules, opennlp.tools.parser.ParserEventTypeEnum etype, Dictionary dict)

  - ### AbstractParserEventStream

    public AbstractParserEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.parser.Parse> d, opennlp.tools.parser.HeadRules rules, opennlp.tools.parser.ParserEventTypeEnum etype)

- ## Method Details

  - ### getInitialChunks

    public static opennlp.tools.parser.Parse[] getInitialChunks(opennlp.tools.parser.Parse p)